% Modal Interferometer Simulation Tool (MIST) - Gabriele Vajente (April 2010)
%
% Compute demodulated signals given mode content
%
% function [p, q] = ac(car, usb, lsb, m, phase)
%
%      car   = vector of modes (carrier)
%      usb   = vector of modes (upper sb)
%      lsb   = vector of modes (lower sb)
%      m     = modulation index
%      phase = demodulation phase (degrees)

function [p,q] = ac(car, usb, lsb, m, phase)

    c = sum(besselj(1,m) * exp(1j * pi/180 * phase) .* (-car.*conj(usb) + conj(car).*lsb));
    p = real(c);
    q = imag(c);
    

    
    
