% Modal Interferometer Simulation Tool (MIST) - Gabriele Vajente (April 2010)
%
% Used as auxiliary function to compute optimal SRC tuning for having good
% sensitivity at 300 Hz (looking for zero derivative at 318 Hz)
%
% t = maximize_sens(itf, phi)
%
%      itf = interferometer structure
%      phi = signal recycling tuning
%

function t = maximize_sens2(itf, phi)
    f0 = 318; 
    itf.phi_src = phi;
    t1 = darm_signal(itf,-f0 - 5);
    %t2 = darm_signal(itf,-f0);
    t3 = darm_signal(itf,-f0 + 5);
    
    t = abs(t3(1)) - abs(t1(1)); 
